Skip to content

Instantly share code, notes, and snippets.

View travis-evm-cask.sh
#!/bin/sh
# This script will setup Evm (Emacs Version Manager) and Cask on
# Travis to use for Emacs Lisp testing.
#
# In .travis.yml, add this:
#
# - curl -fsSkL https://gist.github.com/rejeep/ebcd57c3af83b049833b/raw > x.sh && source ./x.sh
#
# Emacs 24.3 is installed in the above script because Cask requires
View parsing.c
#include <stdio.h>
#include <stdlib.h>
#include "mpc.h"
#include <editline/readline.h>
#include <editline/history.h>
long eval_op(long x, char* op, long y) {
if (strcmp(op, "+") == 0) { return x + y; }
if (strcmp(op, "-") == 0) { return x - y; }
View keybase.md

Keybase proof

I hereby claim:

  • I am canweriotnow on github.
  • I am canweriotnow (https://keybase.io/canweriotnow) on keybase.
  • I have a public key ASD2o2jjO2Qzp29DGxWqfOItwtqP2TFEhVRp3khXHZ2HhAo

To claim this, I am signing this object:

@canweriotnow
canweriotnow / chruby_ruby-build.sh
Last active Aug 13, 2019 — forked from havenwood/chruby_ruby-build.sh
On Debian, Ubuntu, or Mint: install Ruby 2.3.1 with chruby and ruby-build, ruby-install, and gem_home
View chruby_ruby-build.sh
# Install apt-get packages:
sudo apt-get install build-essential openssl libreadline6 libreadline6-dev curl git-core zlib1g zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt-dev autoconf libc6-dev ncurses-dev automake libtool bison subversion pkg-config
# Install chruby:
cd
wget https://github.com/downloads/postmodern/chruby/chruby-0.3.9.tar.gz
tar -xzvf chruby-0.3.9.tar.gz
cd chruby-0.2.3
sudo make install
@canweriotnow
canweriotnow / tables.md
Created Dec 1, 2015
I would refute the claim...
View tables.md
Tables Are Cool
col 3 is right-aligned $1600
col 2 is centered $12
zebra stripes are neat $1
@canweriotnow
canweriotnow / xapi-lint.txt
Created Nov 30, 2015
xAPI Markdown Linter issues
View xapi-lint.txt
xAPI.md:4: MD001 Header levels should only increment by one level at a time
xAPI.md:189: MD001 Header levels should only increment by one level at a time
xAPI.md:368: MD001 Header levels should only increment by one level at a time
xAPI.md:440: MD001 Header levels should only increment by one level at a time
xAPI.md:530: MD001 Header levels should only increment by one level at a time
xAPI.md:671: MD001 Header levels should only increment by one level at a time
xAPI.md:804: MD001 Header levels should only increment by one level at a time
xAPI.md:817: MD001 Header levels should only increment by one level at a time
xAPI.md:984: MD001 Header levels should only increment by one level at a time
xAPI.md:1109: MD001 Header levels should only increment by one level at a time
View helloworld.pony
class HelloWorld
let hello: String = "Hello, "
new create() =>
hello
fun say_hello(who: String = "World"): String =>
hello.add(who)
View ugh.json
{
"result_ok":true,
"total_count":"11",
"page":1,
"total_pages":1,
"results_per_page":50,
"data":[
{
"id":"1",
"contact_id":"100009393",
View idea.org

Exercism and IntelliJ IDEA

So, you want to use IntelliJ IDEA for your Exercism.io Java exercises?

Here’s my workflow. Note, using IntelliJ IDEA CE 14.

Gradle setup

  • [ ] cd to $EXERCISM_DIR/java/the-exercise
  • [ ] Run gradle idea to generate the *.iml* and =.idea files/dirs
@canweriotnow
canweriotnow / eio.el
Created Jun 6, 2015
elisp exercise helper
View eio.el
;;; eio.el --- Support for creating Elisp exercises
;; Author: Jason Lewis
;; Created: 5 June 2015
;; This file is not part of GNU Emacs.
;;; Commentary:
;;
;; Provides utility functions for stubbing elisp exercises